package com.ss.android.ugc.aweme.legoImp.task;

import X.C22428Zd;
import X.C22438Ze;
import X.C25518ec;
import X.C35318uQ;
import X.C42869Ft;
import X.C42909Fx;
import X.M12;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.keva.Keva;
import java.util.List;

public abstract class SharedPreferencePreloadTask implements C22438Ze {
    static {
        Covode.recordClassIndex(90609);
    }

    public boolean meetTrigger() {
        return true;
    }

    public String prefix() {
        return "task_";
    }

    public boolean serialExecute() {
        return false;
    }

    public int targetProcess() {
        return 1;
    }

    public List triggerOtherLegoComponents() {
        return null;
    }

    public C42869Ft triggerType() {
        return C22428Zd.LIZ(this);
    }

    public C42909Fx scenesType() {
        return C42909Fx.DEFAULT;
    }

    public C25518ec type() {
        return C25518ec.BACKGROUND;
    }

    public String key() {
        return getClass().getSimpleName();
    }

    public final void LIZIZ(Context context, String str) {
        M12.LIZ(context, str);
        Keva.getRepoFromSpSync(context, str, 0);
    }

    public final void LIZJ(Context context, String str) {
        M12.LIZ(context, str);
        Keva.getRepoSync(str, 0);
    }

    public final void LIZ(Context context, String str) {
        M12.LIZ(context, str);
        C35318uQ.LIZ(context, str, 0).getInt("tiktok", 0);
    }
}
